javax.resource.spi

## Class ResourceAllocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.spi.ResourceAllocationException

- All Implemented Interfaces:
    java.io.Serializable

      public class ResourceAllocationException
      extends ResourceException

  A `ResourceAllocationException` can be thrown by an application server or resource adapter to indicate any failure to allocate system resources (example: threads, physical connections). An example is error condition when an upper bound is reached on the maximum number of physical connections that can be managed by an application server specific connection pool.
  Version:
    1.0
  Author:
    Rahul Sharma, Ram Jeyaraman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAllocationException()` Constructs a new instance with null as its detail message.
    `ResourceAllocationException(java.lang.String message)` Constructs a new instance with the specified detail message.
    `ResourceAllocationException(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and an error code.
    `ResourceAllocationException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `ResourceAllocationException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceAllocationException

          public ResourceAllocationException()

      Constructs a new instance with null as its detail message.

    - #### ResourceAllocationException

          public ResourceAllocationException(java.lang.String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### ResourceAllocationException

          public ResourceAllocationException(java.lang.Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### ResourceAllocationException

          public ResourceAllocationException(java.lang.String message,
                                             java.lang.Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### ResourceAllocationException

          public ResourceAllocationException(java.lang.String message,
                                             java.lang.String errorCode)

      Constructs a new throwable with the specified detail message and an error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)